import { CompileProviderMetadata, CompileMetadataResolver } from '@angular/compiler';
import { Symbol } from './symbol';
import { Program } from 'typescript';
export declare class ProviderSymbol extends Symbol {
    private provider;
    private metadataResolver;
    constructor(program: Program, provider: CompileProviderMetadata, metadataResolver: CompileMetadataResolver);
    /**
     * Returns the provider metadata.
     */
    getMetadata(): CompileProviderMetadata;
    /**
     * Returns the list of dependencies for given provider.
     */
    getDependencies(): ProviderSymbol[];
}
